Skip to content

Recent client logins ​

GET
/v1/clients/{requested_client_id}/recent-logins

Returns: the most recent logins for a specific client

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

requested_client_id*

Client ID

Type
string
Required

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
login_source

Filter login logs by source (e.g., 'api', 'portal')

Example"api"
Default
null

Responses​

OK

application/json
JSON
{
  
"logins": [
  
  
{
  
  
  
"created": null,
  
  
  
"username": null,
  
  
  
"response_code": null,
  
  
  
"client_id": null,
  
  
  
"login_source": null,
  
  
  
"ip": null
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​